#
# spec file for package netatalk (Version 1.4.99)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  db-devel openssl openssl-devel pam-devel tcpd
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db db-devel devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcpd texinfo textutils timezone unzip util-linux vim

Name:         netatalk
%define myrelease %(date +%s)
Copyright:    1990,1996 Regents of The University of Michigan
Group:        Networking/Daemons
Provides:     netatalk 
Autoreqprov:  on
Version:      1.4.99
Release:      120
#Release:      %{myrelease}
Summary:      Appletalk for Linux
Source: http://prdownloads.sourceforge.net/netatalk/netatalk-1.5pre7.tar.bz2
#Source: netatalk.tar.bz2
Patch: netatalk-1.5pre7.dif
#Patch: netatalk.dif
BuildRoot:    /var/tmp/netatalk-root

%description
Appletalk for Linux

Authors:
--------
    Wesley Craig <netatalk@umich.edu>
    Ann Arbor <netatalk@umich.edu>

SuSE series: n

%package devel
Summary:      Appletalk for Linux
Group: Networking/Daemons

%description devel
Appletalk for Linux

Authors:
--------
    Wesley Craig <netatalk-devel@umich.edu>
    Ann Arbor <netatalk-devel@umich.edu>

SuSE series: n

%prep
%setup -n netatalk-1.5pre7
%patch

%build
rm -fv acinclude.m4
sh autogen.sh
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr \
	--sysconfdir=/etc \
	--with-pkgconfdir=/etc/atalk \
	--with-tcp-wrappers \
	--with-pam \
	--with-shadow \
	--with-ssl \
	--enable-cnid-db \
	--with-did=last \
	--enable-pgp-uam \
	--enable-timelord \
	--enable-suse \
	--mandir=%{_mandir} 
make

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
cp -av $RPM_BUILD_ROOT/etc/atalk/netatalk.pamd $RPM_BUILD_ROOT/etc/pam.d/netatalk
ln -sf ../../etc/init.d/atalk $RPM_BUILD_ROOT/usr/sbin/rcatalk
mv -v $RPM_BUILD_ROOT/usr/include/netatalk/at.h $RPM_BUILD_ROOT/usr/include/netatalk/at.netatalk.h

%clean
find $RPM_BUILD_ROOT|sed "s#$RPM_BUILD_ROOT##"|sort|uniq > /tmp/install_file.txt
rpm -qpl /usr/src/packages/RPMS/*/*-%{release}.%{_arch}.rpm|sort|uniq > /tmp/rpm_file.txt
(diff -u /tmp/install_file.txt /tmp/rpm_file.txt > /tmp/file_diff.txt ); cat /tmp/file_diff.txt

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.netatalk
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.netatalk and"
  echo "update by hand."
fi
sbin/insserv etc/init.d/atalk

%postun
sbin/insserv etc/init.d

%files
%defattr (-,root,root)
%doc services.atalk README* VERSION BUGS CHANGES 
%doc doc/FAQ doc/INSTALL doc/README.mtab* doc/README.veto
%doc COPYRIGHT TODO CONTRIBUTORS
%doc contrib/macusers/README*
/etc/pam.d/*
/usr/bin/*
%dir /usr/share/netatalk
/usr/share/netatalk/*
/usr/sbin/a*
/usr/sbin/if*
/usr/sbin/of*
%attr(2755,root,lp) /usr/sbin/papd
/usr/sbin/ps*
/usr/sbin/rcatalk
/usr/sbin/t*
%{_mandir}/man?/*
%dir /etc/atalk
%config (noreplace) /etc/atalk/AppleVolumes.*
%config (noreplace) /etc/atalk/*.conf
/etc/atalk/nls
/etc/atalk/uams
%attr(755,root,root) /etc/init.d/atalk
%attr(644,root,root) /var/adm/fillup-templates/rc.config.netatalk

%files devel
/usr/lib/lib*
/usr/share/aclocal/netatalk.m4
/usr/include/atalk
/usr/include/netatalk

%changelog -n netatalk
* Fri Sep 28 2001 - olh@suse.de
- really fix the startup script
  * libatalk/cnid/cnid_open.c: Set internal deadlock detection
* Sat Sep 22 2001 - olh@suse.de
- fix startup scripts
  make nls codepage
* Sat Sep 22 2001 - olh@suse.de
- fix codepage conversion (#10828)
* Fri Sep 21 2001 - olh@suse.de
- update to current CVS, seems to fix netatalk MacOS X connects
* Sat Sep 01 2001 - olh@suse.de
- fix initscript to not use "" in server name argument
* Sat Sep 01 2001 - olh@suse.de
- update to current CVS
* Sat Sep 01 2001 - olh@suse.de
- fix build, rm acinclude.m4
* Thu Aug 30 2001 - olh@suse.de
- update to 1.5pre7, use db3/db.h
* Mon Aug 20 2001 - olh@suse.de
- update to current CVS version
* Fri Jul 20 2001 - olh@suse.de
- update to current CVS version
* Tue Jun 26 2001 - olh@suse.de
- more info about remote quark ...
* Mon Jun 25 2001 - olh@suse.de
- fix Makefile.am
* Sun Jun 24 2001 - olh@suse.de
- update README.SuSE with some Quark stuff, update rc script
* Thu Jun 21 2001 - olh@suse.de
- update to current CVS version, seems to work...
* Wed May 09 2001 - olh@suse.de
- disable --enable-debug option, useless for production
  fills up the logfiles ...
* Thu Mar 29 2001 - schwab@suse.de
- Use $(CC) instead of $(LD).
* Tue Jan 23 2001 - olh@suse.de
- build with --enable-lastdid
* Wed Jan 17 2001 - olh@suse.de
- fix filelist
* Wed Jan 17 2001 - olh@suse.de
- move /lib/security/* to /etc/pam.d/*
* Thu Jan 11 2001 - olh@suse.de
- use --with-flock-locks, seems to fix bugs when you edit files in
  Quark Express on the server volume
- add ATALK_AFPD_OPTIONS in rc.config to pass options to the afpd
* Mon Dec 11 2000 - olh@suse.de
- --enable-debug, noreplace for config files (#4501)
* Tue Dec 05 2000 - olh@suse.de
- disable suseupdateconfig for now
* Mon Dec 04 2000 - ro@suse.de
- avoid conflict with glibc-devel
* Tue Nov 28 2000 - ro@suse.de
- fixed Makefiles ... needs further testing
* Tue Nov 28 2000 - ro@suse.de
- update to 1.4.99
- initscript to etc/init.d
* Wed May 24 2000 - uli@suse.de
- moved docs to /usr/share
* Sat Apr 29 2000 - kukuk@suse.de
- Add tcpd to need for build, fix quota prototypes
* Thu Mar 02 2000 - olh@suse.de
- add some extensions, fix .pdf files
* Wed Mar 01 2000 - werner@suse.de
- Fix config.guess selection
* Tue Jan 18 2000 - cep@suse.de
- fit to new man path /usr/share/man
* Thu Dec 02 1999 - olh@suse.de
- set papd g+s lp to correct the permissions of the spool files
* Tue Oct 26 1999 - cep@suse.de
- enabled PAM support, tested against MacOS 8.5
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jun 16 1999 - ro@suse.de
- create nls-dir before make install
* Thu Jun 10 1999 - cep@suse.de
- updated to recent version netatalk-1.4b2+asun2.1.3, checked with
  Mac OS D1-8.5.1, Mac OS Rom D1 - 1.2
- added entry eth0 to /etc/atalk/atalkd.conf
* Wed Feb 03 1999 - ro@suse.de
- use lcrypt on alpha as well
* Fri Jan 08 1999 - cep@suse.de
- modified /sbin/init.d/atalk due to very long startup time of atalkd
* Fri Dec 11 1998 - tmg@suse.de
- changed START_ATALK default to no
* Tue Dec 08 1998 - ro@suse.de
- updated init-script and added rc-link
* Tue Oct 06 1998 - ro@suse.de
- link with -lcrypt where necessary
- only include sys/types in at.h for glibc
* Sun Jul 26 1998 - bs@suse.de
- install at.h as at.netatalk.h.
* Fri Jul 17 1998 - reinhold@suse.de
- AFP 2.2 (Appleshare TCPIP) support included (asun2.0a18.2-0 patch)
* Sun Mar 01 1998 - reinhold@suse.de
- README.SuSE updated
* Fri Feb 20 1998 - reinhold@suse.de
- support for shadow included
* Wed Dec 03 1997 - bs@suse.de
- install /usr/include/netatalk/at.h as at.netatalk.h (at.h ist also
  in libc)
* Tue Aug 19 1997 - reinhold@suse.de
- war heiss heute
